Package org.apache.sling.distribution

# Class ImportPostProcessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.distribution.ImportPostProcessException

All Implemented Interfaces:
  `Serializable`

public class ImportPostProcessException extends Exception
Exception thrown by the Import post processor implementations

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImportPostProcessException(String message)`
`ImportPostProcessException(String message, Throwable cause)`
`ImportPostProcessException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImportPostProcessException

public ImportPostProcessException(String message)

### ImportPostProcessException

public ImportPostProcessException(String message, Throwable cause)

### ImportPostProcessException

public ImportPostProcessException(Throwable cause)